Subject: [siprec] Proposal: new SIPREC work on conference recording

From: Paul Kyzivat <[email-masked]>
Date: Fri, 13 Sep 2013 10:24:35 -0400

In Berlin I spoke about a proposal to extend the siprec charter to more 
fully address conference recording. There was good feedback during that 
meeting about where to focus, and significant interest in going forward 
with this.

Since then Simon Romano, my associate Michael Yan, and I have refined a 
use case and requirements draft about that, which was just posted. The 
announcement of that draft is attached.

I request that all you SIPRECers please review and comment on this 
draft. I'd appreciate feedback to make it better.

In conjunction with that, below are are specific siprec charter change 
proposals, to extend our scope to cover this work. I'm also soliciting 
comments on these.

After some list discussion on the draft and the charter changes, I hope 
we can have a session at ietf88 to progress this.

	Thanks,
	Paul

---------------------------------------------------------------------
PROPOSED SIPREC CHARTER REVISION (as deltas to current charter):
---------------------------------------------------------------------

> The Session Recording Protocol (SIPREC) working group is chartered to
> define a SIP-based protocol for controlling a session (media) recorder.
>
> Session recording is a critical requirement in many business
> communications environments such as call centers and financial trading
> floors.

[Replace above sentence with:]

Session recording is a critical requirement in many business 
communications environments such as call centers, financial trading
floors, and multimedia conferences.

> In some of these environments, all calls must be recorded for
> regulatory and compliance reasons. In others, calls may be recorded for
> quality control, business analytics, or consumer protection. Recording
> is typically done by sending a copy of the media to the recording
> devices. The working group will determine requirements and produce a
> specification for a protocol that will manage delivery of media

[Insert:]

(including audio, video, MSRP instant message sessions, and real-time 
sharing of documents, applications, and computer screens)

> from an
> end-point that originates media, or that has access to it, to a
> recording device. PBX and recording vendors today implement proprietary,
> incompatible mechanisms to facilitate recording. A standard protocol
> will reduce the complexity and cost of providing such recording
> services.
>
> The Session Recording problem presents certain unique requirements that
> are not addressed in the current SIP protocol specification. These
> include requirements such as the need for a distinction between the
> session that is being recorded versus the session that has been
> established for recording.
>
> Privacy and security of conversations are significant concerns. The
> working group will make sure that any protocol specified addresses these
> concerns and includes mechanisms to alert users to the fact that a
> session they are participating in is being recorded.
>
> The working group must take care that the session recording requirements
> and protocol does not conflict with the IETF statement on wiretapping
> contained in RFC 2804.
>
> The SIPREC Working Group will thoroughly identify use cases, provide
> example system architectures and deployment scenarios, and define
> requirements.
>
> The scope of the activity includes:
>
> * Recorder Control
>
> * Session metadata content and format
>
> * Security mechanisms, including transport and media encryption
>
> * Privacy concerns, including end-user notification
>
> * Negotiation of recording media streams
>
> The group will define these issues and rationalize with IETF standards
> and practices. This includes encryption, NAT traversal, operations and
> manageability, SIP-enabled firewalls, authorization, and security.
>
> The group will produce:
>
> * Updated Requirements, Use Cases, Architecture draft
>
> * Specification for Session Recording Protocol

[Insert:]

and Metadata

>
> Milestones
> Done      Use Cases and Requirements to IESG as Informational RFC
> Jan 2013  Submit Architecture to IESG as Informational RFC
> Apr 2013  Submit protocol draft to IESG as Proposed Standard RFC
> Aug 2013  Submit Metadata model and format to IESG as Proposed
>           Standard RFC
> Aug 2013  Submit SIPREC Call Flows draft to IESG as an
>           informational RFC.

[additional milestones - optimistic dates:]

Apr 2014  Conference Recording Use Cases and Requirements to IESG
           as Informational RFC

Aug 2014  Conference Recording Architecture to IESG as
           Informational RFC

Aug 2014  Protocol and metadata for MSRP recording to IESG as
           Proposed Standard RFC

Dec 2014  Protocol and metadata for recording of document &
           application sharing to IESG as Proposed Standard RFC

Subject: New Version Notification for draft-kyzivat-siprec-conference-use-cases-00.txt
From: [email-masked]
To: "Paul H. Kyzivat" <[email-masked]>, Simon Pietro Romano <[email-masked]>, Michael Yan <[email-masked]>, Paul Kyzivat <[email-masked]>, Simon Romano <[email-masked]>
Date: Thu, 12 Sep 2013 22:56:02 -0700

A new version of I-D, draft-kyzivat-siprec-conference-use-cases-00.txt
has been successfully submitted by Paul H. Kyzivat and posted to the
IETF repository.

Filename:	 draft-kyzivat-siprec-conference-use-cases
Revision:	 00
Title:		 Multimedia Conference Recording Use Cases and Requirements
Creation date:	 2013-09-13
Group:		 Individual Submission
Number of pages: 9
URL:             http://www.ietf.org/internet-drafts/draft-kyzivat-siprec-conference-use-cases-00.txt
Status:          http://datatracker.ietf.org/doc/draft-kyzivat-siprec-conference-use-cases
Htmlized:        http://tools.ietf.org/html/draft-kyzivat-siprec-conference-use-cases-00

Abstract:
   The current work of SIPREC will soon finish.  As conferences are the
   key requirement for some environments, it is worth to explore several
   extensions and additional functionalities to support multimedia
   conference recording.  SIPREC is not sufficient to record all the
   conference sessions via certain interactive media channels, like
   multi-user chat or screen sharing.

   This draft tries to show the use cases for multimedia conference
   recording and the requirements for how to work well under SIPREC
   mechanism.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Simon Farrow" <[email-masked]>
Date: Fri, 13 Sep 2013 11:59:53 -0700

Paul

I suggest adding the Public Safety (as shown below) to the text. SIPREC has
been adopted by the NG-911 as the way to record public safety media. In
early November some of the leading vendors in this industry are getting
together for inter-operability testing. One of the key topics is SIPREC
recording between many SRCs and SRSs.

Session recording is a critical requirement in many business communications
environments such as call centers, Public Safety ,financial trading floors,
and multimedia conferences.

Simon Farrow

Director of Engineering

Stancil Corporation

2644 South Croddy Way

Santa Ana

CA 92704

Tel: 1-714-546-2002 ext 4311

http://www.stancilcorp.com <http://www.stancilcorp.com/> 

[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Paul Kyzivat
Sent: Friday, September 13, 2013 7:25 AM
To: [email-masked]
Subject: [siprec] Proposal: new SIPREC work on conference recording

In Berlin I spoke about a proposal to extend the siprec charter to more
fully address conference recording. There was good feedback during that
meeting about where to focus, and significant interest in going forward with
this.

Since then Simon Romano, my associate Michael Yan, and I have refined a use
case and requirements draft about that, which was just posted. The
announcement of that draft is attached.

I request that all you SIPRECers please review and comment on this draft.
I'd appreciate feedback to make it better.

After some list discussion on the draft and the charter changes, I hope we
can have a session at ietf88 to progress this.

                Thanks,

                Paul

Session recording is a critical requirement in many business communications
environments such as call centers, financial trading floors, and multimedia
conferences.

> regulatory and compliance reasons. In others, calls may be recorded 

> for quality control, business analytics, or consumer protection. 

> Recording is typically done by sending a copy of the media to the 

> recording devices. The working group will determine requirements and 

> produce a specification for a protocol that will manage delivery of 

> media

[Insert:]

> recording device. PBX and recording vendors today implement 

> proprietary, incompatible mechanisms to facilitate recording. A 

> standard protocol will reduce the complexity and cost of providing 

> such recording services.

> The Session Recording problem presents certain unique requirements 

> that are not addressed in the current SIP protocol specification. 

> These include requirements such as the need for a distinction between 

> the session that is being recorded versus the session that has been 

> working group will make sure that any protocol specified addresses 

> these concerns and includes mechanisms to alert users to the fact that 

> a session they are participating in is being recorded.

> The working group must take care that the session recording 

> requirements and protocol does not conflict with the IETF statement on 

> wiretapping contained in RFC 2804.

[Insert:]

and Metadata

> Jan 2013  Submit Architecture to IESG as Informational RFC Apr 2013  

> Submit protocol draft to IESG as Proposed Standard RFC Aug 2013  

> Submit Metadata model and format to IESG as Proposed

           as Informational RFC

           Informational RFC

           Proposed Standard RFC

---

From: "Yanqiang (Michael)" <[email-masked]>
Date: Sat, 14 Sep 2013 01:30:49 +0000

Agree. Maybe we could also use ‘emergency (first-responder) service bureaus’ that used in RFC6341.

Thanks,
Michael

From: [email-masked] [mailto:[email-masked]] On Behalf Of Simon Farrow
Sent: Saturday, September 14, 2013 3:00 AM
To: 'Paul Kyzivat'; [email-masked]
Subject: Re: [siprec] Proposal: new SIPREC work on conference recording

Paul

I suggest adding the Public Safety (as shown below) to the text. SIPREC has been adopted by the NG-911 as the way to record public safety media. In early November some of the leading vendors in this industry are getting together for inter-operability testing. One of the key topics is SIPREC recording between many SRCs and SRSs.

Session recording is a critical requirement in many business communications environments such as call centers, Public Safety ,financial trading floors, and multimedia conferences.

Simon Farrow
Director of Engineering
Stancil Corporation
2644 South Croddy Way
Santa Ana
CA 92704
Tel: 1-714-546-2002 ext 4311
http://www.stancilcorp.com<http://www.stancilcorp.com/>

[email-masked]<mailto:[email-masked]>

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: Friday, September 13, 2013 7:25 AM
To: [email-masked]
Subject: [siprec] Proposal: new SIPREC work on conference recording

In Berlin I spoke about a proposal to extend the siprec charter to more fully address conference recording. There was good feedback during that meeting about where to focus, and significant interest in going forward with this.

Since then Simon Romano, my associate Michael Yan, and I have refined a use case and requirements draft about that, which was just posted. The announcement of that draft is attached.

I request that all you SIPRECers please review and comment on this draft. I'd appreciate feedback to make it better.

In conjunction with that, below are are specific siprec charter change proposals, to extend our scope to cover this work. I'm also soliciting comments on these.

After some list discussion on the draft and the charter changes, I hope we can have a session at ietf88 to progress this.

                Thanks,

                Paul

Session recording is a critical requirement in many business communications environments such as call centers, financial trading floors, and multimedia conferences.

[Insert:]

(including audio, video, MSRP instant message sessions, and real-time sharing of documents, applications, and computer screens)

[Insert:]

and Metadata

           as Informational RFC

           Informational RFC

           Proposed Standard RFC

---

From: "Yanqiang (Michael)" <[email-masked]>
Date: Sat, 14 Sep 2013 02:36:07 +0000

Hi All,

	While revising the document, there were some questions came to us:

1. Though BFCP was noticed in introduction, we don't have any idea about the *cases* with BFCP when recording a conference. So hope someone would tell us.

2. As looking back the history in RAI, especially for the MMUSIC and AVT WG, there used to be several attempts to standardize the data sharing or content collaboration. So we talked some mechinasm that how data sharing works in CS, but take more attention at the media type it would choose in RS. And concentrating on media(rtp) flow is the feedback of 87th meeting.
The historial attempts as below:
draft-schulzrinne-mmusic-sharing-00(2004)
draft-garcia-mmusic-sdp-collaboration-00(2008)
draft-lennox-avt-app-sharing-00(2005)
draft-boyaci-avt-app-sharing-00(2008)

3. We split the data sharing into three cases, screen sharing, application sharing and document sharing. But we tried to focus on the screen sharing or application sharing, and treat the document sharing as a special case of them. This can make the new mechanism to be simple and easy. That's why we avoid to talk about the document collaboration which have actions like annotating or page turning.

4. Sorry to misuse the RFC 3248 for RFC 3428

	We'd appreciate any feedback from you. :-)

Thanks,
Michael

> Sent: Friday, September 13, 2013 10:25 PM
> To: [email-masked]
> In Berlin I spoke about a proposal to extend the siprec charter to more fully
> address conference recording. There was good feedback during that meeting
> about where to focus, and significant interest in going forward with this.
> 
> In conjunction with that, below are are specific siprec charter change proposals,
> to extend our scope to cover this work. I'm also soliciting comments on these.
> 
> After some list discussion on the draft and the charter changes, I hope we can
> have a session at ietf88 to progress this.
> 
> 	Thanks,
> 	Paul
> 
> (including audio, video, MSRP instant message sessions, and real-time sharing
> of documents, applications, and computer screens)
> 
> > from an